
body {
    width: 100vw;
    height: 100vh;
    background: radial-gradient(
        circle,
        var(--body-color-center) 0%,
        var(--body-color-outer) 90%
    );
    overflow: hidden;
}

#mainwrap {
    margin: 40px 20%;
    background: #21243d;
    min-width: 600px;
    position: relative;
    background-color: #3f5e8a;
    padding: 1px 40px 20px 40px;
    box-shadow: 0px 0px 6px color-mix(
        in srgb,
        rgb(84, 106, 123),
        rgb(0, 0, 0)
        var(--moon-illumination)
    );
    background: linear-gradient(35deg,
    var(--banner-grad1)
    0%,
    var(--banner-grad2)
    78%,
    var(--banner-grad3)
    99%);
}

#moon-phase {
    font-size: 4em;
    color: #000;
    position: absolute;
    top: -35px;
    left: -36px;
    filter: brightness(0.6);
}

#usergreeting {
    position: absolute;
    right: 10px;
    top: 15px;
    color: #b695b8;
    text-shadow: #000000 0px 2px 3px;
}

.username {
    padding: 5px 14px;
    background-color: #08090f8a;
    border-radius: 4px;
    text-shadow: #000000 0px 2px 3px;
    color: #a666aa;
    text-decoration: none;
}

.main-header {
    text-align: center;
    text-shadow: 0px 0px 10px #72e5ff3b;
    font-size: 3em;
    font-family: monospace;
    color: #6876c3;
    padding: 5px 0px 20px 0px;
}

html {
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: white;
}

.index {
    margin: auto;
    display: flex;
    justify-content: center;
    padding: 0px;
    height: 50px;
}

.navbar-button {
    margin: 0px 10px 35px 10px;
    display: inline-block;
    background-color: color-mix(
        in srgb,
        #383e72,
        #b5cae2
        var(--moon-illumination)
    );
    box-shadow: 0px 0px 5px rgba(101, 251, 201, 0.482);
    border-radius: 2px;
    width: 200px;
    text-align: center;
    color:#211e3d;
    cursor: pointer;
    font-size: 1.3em;
    line-height: 0.1em;
    transition: 0.2s;
    transition-timing-function: cubic-bezier(.39,.58,.57,1);
    height: 45px;
    min-width: 100px;
}

.navbar-button:hover {
    background-color: #5ce9b0;
    color:#000000;
    box-shadow: 0px 0px 5px rgb(101, 251, 201);
    height: 50px;
}